﻿* Encoding: UTF-8.
/* SPSS Data Definition File
/* Modified by Jordan Raghunandan, Map and Data Library, University of Toronto, January, 2017
TITLE '1976 CENSUS OF CANADA- BST: EA-SHORT FORM- EADEMA20'.
SUBTITLE 'SPSS commands by S Kumar, rev L Ruus, UT/DLS 2008/08/25'.
FILE HANDLE in NAME='x'  LRECL=727.    /* Replace 'x' with Input file path for the corresponding .asc file
DATA LIST FILE=in/  
    PROV            1 -      2
    FED             3 -      5
    EA              6 -      8
    CD              9 -     10
    CSD            11 -     14
    SGCCDCSD       15 -     19
    CSDSIZE        20 -     20
    CSDTYPE        21 -     22
    CCS            23 -     26
    CMACA          27 -     29
    CMACAPT        30 -     30
    CMACASEL       31 -     31
    SGCCMACA       32 -     34
    CMACASIZ       35 -     35
    CTPCTCOD       36 -     39
    CTPCTNUM       40 -     45
    SUBPREG        46 -     47
    URBRUR         48 -     48
    URBSIZE        49 -     49
    BLANK1         50 -     51
    RECTYPE        52 -     52
    V1             53 -     61
    V2             62 -     70
    V3             71 -     79
    V4             80 -     88
    V5             89 -     97
    V6             98 -    106
    V7            107 -    115
    V8            116 -    124
    V9            125 -    133
    V10           134 -    142
    V11           143 -    151
    V12           152 -    160
    V13           161 -    169
    V14           170 -    178
    V15           179 -    187
    V16           188 -    196
    V17           197 -    205
    V18           206 -    214
    V19           215 -    223
    V20           224 -    232
    V21           233 -    241
    V22           242 -    250
    V23           251 -    259
    V24           260 -    268
    V25           269 -    277
    V26           278 -    286
    V27           287 -    295
    V28           296 -    304
    V29           305 -    313
    V30           314 -    322
    V31           323 -    331
    V32           332 -    340
    V33           341 -    349
    V34           350 -    358
    V35           359 -    367
    V36           368 -    376
    V37           377 -    385
    V38           386 -    394
    V39           395 -    403.
VARIABLE LABELS
  PROV      'Province (region)'
  FED       'Federal electoral district'
  EA        'Enumeration area'
  CD        'Census division'
  CSD       'Census subdivision'
  SGCCDCSD  'Standard geographic code for CD/CSD'
  CSDSIZE   'Census subdivision population size group'
  CSDTYPE   'Census subdivision type code'
  CCS       'Census consolidated subdivision'
  CMACA     'CMA/CA area code'
  CMACAPT   'CMA/CA part'
  CMACASEL  'CMA/CA selector'
  SGCCMACA  'Standard geographic code for CMA-CA'
  CMACASIZ  'CMA-CA population size group'
  CTPCTCOD  'Census tract or prov CT code'
  CTPCTNUM  'Census tract or prov CT number'
  SUBPREG   'Subprovincial region'
  URBRUR    'Urban-Rural area'
  URBSIZE   'Urban area population size group'
  BLANK1    'Blank- for future use'
  RECTYPE   'Record type'
  V1        'Total mother tongue: total population'
  V2        'Total mother tongue: male'
  V3        'Total mother tongue: females'
  V4        'Mother tongue - English: total population'
  V5        'Mother tongue - English: males'
  V6        'Mother tongue - English: females'
  V7        'Mother tongue - French: total population'
  V8        'Mother tongue - French: males'
  V9        'Mother tongue - French: females'
  V10       'Mother tongue - Chinese & Japnese: total population'
  V11       'Mother tongue - Chinese & Japnese: males'
  V12       'Mother tongue - Chinese & Japnese: females'
  V13       'Mother tongue - German: total population'
  V14       'Mother tongue - German: males'
  V15       'Mother tongue - German: females'
  V16       'Mother tongue - Greek: total population'
  V17       'Mother tongue - Greek: males'
  V18       'Mother tongue - Greek: females'
  V19       'Mother tongue - Italian: total population'
  V20       'Mother tongue - Italian: males'
  V21       'Mother tongue - Italian: females'
  V22       'Mother tongue - Native Indian: total population'
  V23       'Mother tongue - Native Indian: males'
  V24       'Mother tongue - Native Indian: females'
  V25       'Mother tongue - Netherlandic & Flemish: total population'
  V26       'Mother tongue - Netherlandic & Flemish: males'
  V27       'Mother tongue - Netherlandic & Flemish: females'
  V28       'Mother tongue - Polish: total population'
  V29       'Mother tongue - Polish: males'
  V30       'Mother tongue - Polish: females'
  V31       'Mother tongue - Ukrainian: total population'
  V32       'Mother tongue - Ukrainian: male'
  V33       'Mother tongue - Ukrainian: female'
  V34       'Mother tongue - Not stated: total population'
  V35       'Mother tongue - Not stated: males'
  V36       'Mother tongue - Not stated: females'
  V37       'Mother tongue - Other: total population'
  V38       'Mother tongue - Other: males'
  V39       'Mother tongue - Other: females'.
VALUE LABELS
    PROV      10          'NEWFOUNDLAND'
          11          'PR EDWARD ISLAND'
          12          'NOVA SCOTIA'
          13          'NEW BRUNSWICK'
          24          'QUEBEC'
          35          'ONTARIO'
          46          'MANITOBA'
          47          'SASKATCHEWAN'
          48          'ALBERTA'
          59          'BRITISH COLUMBIA'
          60          'YUKON TERRITORY'
          61          'NW TERRITORIES'
          00          'CANADA'
         /
    CSDSIZE   1           '500000 & UP'
          2           '100000-499999'
          3           '30000-99999'
          4           '10000-29999'
          5           '5000-9999'
          6           '2500-4999'
          7           '1000-2499'
          8           '0-999'
         /
    CMACAPT   1           'CENTRAL CITY'
          2           'REMAINDER OF CORE'
          3           'URBAN FRINGE'
          4           'RURAL FRINGE'
          0           'NOT A CMA/CA'
         /
    CMACASEL  1           'CMA'
          2           'CA'
          0           'NOT CMA OR CA'
         /
    CMACASIZ  1           '100000 & UP'
          2           '50000-99999'
          3           '25000-49999'
          4           '10000-24999'
          5           '5000-9999'
          6           '2000-4999'
          7           '1000-1999'
          0           'NOT A CMA-CA'
         /
    URBRUR    1           'URBAN'
          0           'RURAL'
         /
    URBSIZE   1           '500000 & UP'
          2           '100000-499999'
          3           '30000-99999'
          4           '10000-29999'
          5           '5000-9999'
          6           '2500-4999'
          7           '1000-2499'
          8           '0-999'
          0           'RURAL'
         /
    RECTYPE   1           'CANADA'
          2           'PROV & TERRITORIES'
          3           'FED ED'
          5           'ENUM AREA'
         /.
SAVE OUTFILE= 'C:/CensusProject/eadema20/cnd_eadema20.sav'  /* Replace 'y' with name to give your system file
 /MAP
 /COMPRESSED. /* Delete this line if you want an uncompressed file
